/***************************************************************************
**
**  This file is part of SciFigs.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This file is distributed in the hope that it will be useful, but WITHOUT
**  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
**  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
**  License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2003-02-28
**  Copyright: 2003-2019
**    Marc Wathelet
**    Marc Wathelet (ULg, Liège, Belgium)
**    Marc Wathelet (LGIT, Grenoble, France)
**
***************************************************************************/

#include "PageLimit.h"
#include "GraphicSheet.h"

namespace SciFigs {

#define THICKNESS 3

PageLimit::PageLimit(LimitType t, QWidget * parent) :
    QWidget(parent)
{
  TRACE;
  setWidgetColor(this, Qt::white);
  if(t==Vertical)
    resize(THICKNESS,parent->height());
  else
    resize(parent->width(),THICKNESS);
}

PageLimit::~PageLimit()
{
  TRACE;

}

void PageLimit::paintEvent(QPaintEvent * )
{
  TRACE;
  QPainter p(this);
  p.setPen(Qt::NoPen);
  p.setBrush(QBrush(Qt::black,Qt::Dense4Pattern));
  if(width()>height())
    p.drawRect(0,0,width(),height());
  else
    p.drawRect(0,0,width(),height());
}

} // namespace SciFigs
